Skip to main content
`Ctrl`+`K`

# DSUpdateExtraRow

Performs all necessary operations so that the extra row gets up-to-date after a call to `DSSolve()`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSUpdateExtraRow(DS ds)

Logically Collective

## Input Parameter

- ds - the direct solver context

## See Also

DS: Direct Solver (or Dense System), `DSSolve()`, `DSSetExtraRow()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsops.c

## Implementations

DSUpdateExtraRow_GHIEP() in src/sys/classes/ds/impls/ghiep/dsghiep.c
DSUpdateExtraRow_GNHEP() in src/sys/classes/ds/impls/gnhep/dsgnhep.c
DSUpdateExtraRow_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c
DSUpdateExtraRow_HEP() in src/sys/classes/ds/impls/hep/dshep.c
DSUpdateExtraRow_HSVD() in src/sys/classes/ds/impls/hsvd/dshsvd.c
DSUpdateExtraRow_NHEP() in src/sys/classes/ds/impls/nhep/dsnhep.c
DSUpdateExtraRow_NHEPTS() in src/sys/classes/ds/impls/nhepts/dsnhepts.c
DSUpdateExtraRow_SVD() in src/sys/classes/ds/impls/svd/dssvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages